package com.yifu.cloud.plus.v1.yifu.admin.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * Description: 允许跨域以
 *
 * @author fxju
 * @since JDK 1.8
 */
@Slf4j
@Configuration
public class CorsConfig implements WebMvcConfigurer {
 
    @Override
    public void addCorsMappings(CorsRegistry registry) {
        registry.addMapping("/**")
				//是否发送Cookie
				.allowCredentials(true)
				//放行哪些原始域
				.allowedOriginPatterns("*")
				.allowedMethods(new String[]{"GET", "POST", "PUT", "DELETE"})
				.allowedHeaders("*")
				.exposedHeaders("*");
    }
}
